'use strict'
// Template version: 1.2.7
// see http://vuejs-templates.github.io/webpack for documentation.

const path = require('path')

module.exports = {
  dev: {
    env: require('./dev.env'),
    port: 8080,
    autoOpenBrowser: true,
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    // CSS Sourcemaps off by default because relative paths are "buggy"
    // with this option, according to the CSS-Loader README
    // (https://github.com/webpack/css-loader#sourcemaps)
    // In our experience, they generally work as expected,
    // just be aware of this issue when enabling this option.
    cssSourceMap: false,
    // proxyTable: {},
    proxyTable: { // proxy all requests starting with /api to jsonplaceholder
      '/apis': {
        target: 'http://localhost:3000',
        changeOrigin: true,
        pathRewrite: {
          '^/apis': '/'
        }
      }
    }
  },

  build: {
    env: require('./prod.env'),
    index: path.resolve(__dirname, '../dist/index.html'),
    assetsRoot: path.resolve(__dirname, '../dist'),
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    productionSourceMap: true,
    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ['js', 'css'],
    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  },
  examplesDev:{
    env: require('./examples.dev.env'),   // 这里环境变量配置更改为我们新增的
    port: 8080,
    autoOpenBrowser: true,
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    proxyTable: {},
    // CSS Sourcemaps off by default because relative paths are "buggy"
    // with this option, according to the CSS-Loader README
    // (https://github.com/webpack/css-loader#sourcemaps)
    // In our experience, they generally work as expected,
    // just be aware of this issue when enabling this option.
    cssSourceMap: false
  },
  buildProdLib: {
    env: require('./prod.lib.env.js'),
    assetsRoot: path.resolve(__dirname, '../lib'),
    assetsPublicPath: '/lib/',
    filename:'vueComponentsLib.min.js',
    library:'vueComponentsLib',
    bundleAnalyzerReport: process.env.npm_config_report
  },
  buildCssStyle:{
    // 要打包的源文件
    source: path.resolve(__dirname, '../src/components/**/*.css'),
    // 字体文件目录
    sourceFonts:path.resolve(__dirname, '../src/assets/fonts/*.*'),
    // 输出目录
    output: path.resolve(__dirname, '../lib/assets/'),
    outputFonts: path.resolve(__dirname, '../lib/assets/fonts'),
    // 输出文件名称
    filename: 'bduivue.min.css'
  }
}
